Subject: pkg/24382: pkg problems
To: None <>
From: Admin Root <>
List: netbsd-bugs
Date: 02/10/2004 18:08:07
>Number:         24382
>Category:       pkg
>Synopsis:       After recent sup clamav cannot build
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Feb 10 17:09:00 UTC 2004
>Originator:     Admin Root
>Release:        NetBSD 1.6
System: NetBSD 1.6 NetBSD 1.6 (GENERIC) #0: Sun Sep 8 19:43:40 UTC 2002 i386
Architecture: i386
Machine: i386
Excerpt from build:

You may want to abort the process now with CTRL+C and change their value
before continuing.  Be sure to run `/usr/bin/make clean' after the changes.
===> Patching for clamav-0.65nb1
===> Applying pkgsrc patches for clamav-0.65nb1
===> Overriding tools for clamav-0.65nb1
===> Buildlinking for clamav-0.65nb1
===> Configuring for clamav-0.65nb1
cd /usr/pkgsrc/mail/clamav/work/clamav-0.65;                                             /usr/pkg/bin/aclocal-1.7;       /usr/pkg/bin/automake-1.7 -a --foreign -i;                               /usr/pkg/bin/autoconf
WARNING: `autoconf' is missing on your system.  You should only need it if
         you modified `'.  You might want to install the
         `Autoconf' and `GNU m4' packages.  Grab them from any GNU
         archive site. no proper invocation of AM_INIT_AUTOMAKE was found. You should verify that invokes AM_INIT_AUTOMAKE, that aclocal.m4 is present in the top-level directory, and that aclocal.m4 was recently regenerated (using aclocal).
automake-1.7: no `' found or specified

about 3 weeks ago the same package was able to build.

The only change at the system is running 'sup -s' a couple of times, including just before the build.

	make clean; make (on my system)